# Boilerplate
FROM scratch
LABEL authors="Steven Polley <himself@stevenpolley.net>"

# Copy cyclescaler master server runtime environment into container
COPY master/master ./master
COPY master/templates ./templates
COPY master/public ./public

# The below files must be supplied, for our project they're supplied in the build environment provided by .drone.yml
COPY master/ca-certificates.crt /etc/ssl/certs/
COPY master/zoneinfo.zip ./zoneinfo.zip

# Define some runtime behaviour and entrypoint
ENV ZONEINFO zoneinfo.zip
EXPOSE 8097:8097
ENTRYPOINT ["/master"]
